
# This file was generated by the SOM Compiler.
# FileName: wppensys.sc.
# Generated using:
#     SOM Precompiler spc: 1.22
#     SOM Emitter emitcsc: 1.10

/*
 *  SCC: @(#) 63 12/8/92 16:03:07 1.5 @(#)
 *  Module Header
 * 
 *  Module Name: WPPENSYS
 * 
 *  OS/2 Presentation Manager Workplace class definitions
 * 
 *  Copyright (c) International Business Machines Corporation 1992
 * 
 */

#include "wpabs.sc"

class: PenPenSubSystem, 
    external stem = WPpss, local, external prefix = pss_, 
    classprefix = pssM_, major version = 1, minor version = 1, 
    file stem = wppensys;

    -- 
    --  CLASS: PenPenSubSystem
    -- 
    --  CLASS HIERARCHY:
    --     SOMObject
    --        WPObject
    --              WPAbstract
    --                    PenPenSubSystem
    -- 
    --  DESCRIPTION:
    --     This is the Pen Subsystem object class.
    -- 
    --     An instance of this class can be created as a Workplace object.
    -- 
    --     An instance of this class is created initially by the system.
    --     It has the title, "Pen Subsystem" and resides in the "System Setup"
    --     folder.
    -- 


parent class: WPAbstract;


release order:
    penAddPenFeedback2Page, penAddPenTimeouts1Page, penAddObjectEventPage, 
    penAddObjectEventPage2, penInvokeGestureHelp, penAddTrainingPage;

methods:


    ULONG    penAddPenFeedback2Page(HWND hwndNotebook);

    -- 
    --  METHOD: penAddPenFeedback2Page                         ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add the the configuration page to the pen subsystem settings notebook
    --    that allows the user to set the pause beep frequency.
    -- 

    ULONG    penAddPenTimeouts1Page(HWND hwndNotebook);

    -- 
    --  METHOD: penAddPenTimeouts1Page                         ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add the the configuration page to the pen subsystem settings notebook
    --    that allows the user to set the set various stroke timeouts that are
    --    used by the input subsystem.
    -- 

    ULONG    penInvokeGestureHelp(HOBJECT hObject), name lookup;

    -- 
    --  METHOD: penInvokeGestureHelp                           ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Opens settings notebook of particular object to the Gesture
    --    page for the given session.
    -- 

    ULONG    penAddObjectEventPage(HWND hwndNotebook,
		PVOID pMappingInfo), name lookup;

    -- 
    --  METHOD: penAddObjectEventPage                          ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add the recognition event page to Pen SubSystem Folder.
    -- 

    ULONG    penAddObjectEventPage2(HWND hwndNotebook,
		PVOID pMappingInfo);

    -- 
    --  METHOD: penAddObjectEventPage                          ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add the recognition event page to Pen SubSystem Folder.
    -- 

    ULONG    penAddTrainingPage(HWND hwndNotebook);

    -- 
    --  METHOD: penAddTrainingPage                             ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add the the Training page to the pen subsystem settings notebook
    --    that allows the user to create and modify handwritting styles.
    -- 

    override wpAddSettingsPages;

    -- 
    --  METHOD: wpAddSettingsPages                             ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add our own settings page to let the user change the backlight
    --    timeout.
    -- 

    override wpAddObjectWindowPage;

    -- 
    --  REMARKS:
    --    This object doesn't get a window page because it doesn't
    --    have any open views other than settings
    -- 

    override wpFilterPopupMenu;

    -- 
    --  REMARKS:
    --    Filter out any options from the context that don't apply.
    -- 
    -- 

    override wpclsQueryTitle, class;

    -- 
    --  REMARKS:
    --    Returns the LCD Display Title.
    -- 

    override wpclsQueryDefaultHelp, class;

    -- 
    --  REMARKS:
    -- 

    override wpclsQueryDefaultView, class;

    -- 
    --  REMARKS:
    --    Returns the default view for a new instance of this object.
    -- 

    override wpclsQueryStyle, class;

    -- 
    --  REMARKS:
    --   give styles to prevent deletion, copying and templates
    -- 
    -- 

    override wpclsQueryIconData, class;

    -- 
    --  REMARKS:
    --    Return the class icon
    -- 

